package com.adventurer_engine.common.data.globaldata;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import bkb;
import by;
import cg;
import cl;
import com.adventurer_engine.common.data.globaldata.IGlobalData;
import com.adventurer_engine.common.gui_handler.BackpackInventory;
import java.util.HashMap;
import java.util.Map;
import uf;

public class BackpackInventoryData extends IGlobalData {
  public Map<String, BackpackInventoryEntry> backpackInventoryMap;
  
  private static final String BACKPACK_INVENTORY_LIST_NAME = "backpackInventory";
  
  public String saveFile() {
    return "inventory_value.dat";
  }
  
  boolean initialed() {
    return (this.backpackInventoryMap != null);
  }
  
  void setDefaultValue() {
    this.backpackInventoryMap = new HashMap<String, BackpackInventoryEntry>();
  }
  
  void readNBTTagCompound(by nbt) {
    cg ls = nbt.m("backpackInventory");
    this.backpackInventoryMap = new HashMap<String, BackpackInventoryEntry>();
    for (int i = 0; i < ls.c(); i++) {
      by backpackData = (by)ls.b(i);
      String name = backpackData.i("name");
      by tmp = backpackData.l("data");
      String ownerName = backpackData.i("owner_name");
      this.backpackInventoryMap.put(name, new BackpackInventoryEntry(ownerName, new BackpackInventory(tmp)));
    } 
  }
  
  void writeNBTTagCompound(by nbt) {
    cg ls = new cg();
    for (String keys : this.backpackInventoryMap.keySet()) {
      by backpackData = new by();
      by tmp = new by();
      BackpackInventoryEntry entry = this.backpackInventoryMap.get(keys);
      entry.backpackData.writeToNBT(tmp);
      backpackData.a("name", keys);
      backpackData.a("owner_name", entry.ownerName);
      backpackData.a("data", tmp);
      ls.a((cl)backpackData);
    } 
    nbt.a("backpackInventory", (cl)ls);
  }
  
  public void allocateBackpackInventory(String name, uf player) {
    if (!this.backpackInventoryMap.containsKey(name)) {
      this.backpackInventoryMap.put(name, new BackpackInventoryEntry(player.bu, new BackpackInventory()));
      this.modified = true;
    } 
  }
  
  public BackpackInventory getBackpackInventory(String name, uf player) {
    String username = player.bu;
    BackpackInventoryEntry entry = this.backpackInventoryMap.get(name);
    if (username.equals(entry.ownerName)) {
      this.modified = true;
      return entry.backpackData;
    } 
    player.a(String.format(bkb.a("adv.warn.backpack"), new Object[] { entry.ownerName }));
    return null;
  }
  
  public String getBackpackOwnerName(String name) {
    return ((BackpackInventoryEntry)this.backpackInventoryMap.get(name)).ownerName;
  }
}
